

module BGSketchup_RBZ_maker
	def initialise_localization(prompt=true)
		@availableLanguages=["en-US","fr","es","it","zh-CN","ru"]#,"pt","es","ru"]
		@availableLanguagesName=["English","Français","Español","Italiano","Chinese","Russian"]#,"Português","Español","Russian"]
		@option_language="en-US" if @availableLanguages.index(@option_language)==nil

		#Ask to change translation if system language has been added
		if ((prompt) && (!@option_prompt_my_language_added) && (@option_language!=Sketchup.os_language) && (@availableLanguages.index(@option_language)!=nil)) then
			reponse=UI.messagebox("Your system language translation exists for this plugin, do you want to use it ?", MB_YESNO)
			if reponse== IDYES then
				@option_language=Sketchup.os_language
				self.load_options_in_html
			end
			@option_prompt_my_language_added=true
		end
	
	#ENGLISH/DEFAULT
		@translation_library_no_found="Error, BGSketchup_Library extension not found. Please download it from store."
		@translation_library_not_good_version="The extension BGSketchup Library version is too old, please download the latest version on sketchUcation.com"
		@translation_open_link="Do you want to open link to download it ?"
		
		@translation_menu_name="RBZ maker"
		
		
	end
end